/* based on install.js, for SpiderZilla 1.5 (written by BatBat) */

var author      = "INFOMAN";
var displayName = "NewsMonkey";
var version     = "0.1.0";
var packageName = "newsmonkey";
var packageFile = packageName + ".jar";

var jarDir     = "chrome";
var destDir    = getFolder("Profile");
var temp       = getFolder(destDir, "extensions/");
var installDir = getFolder(temp, "{5f3efd0-3348-748d-4969-f8a58e9965fb}/");
var jarDestDir = getFolder(installDir,"chrome/");
var jarFile    = getFolder(jarDestDir,packageFile);
var err        = UNEXPECTED_ERROR;
var appLocales =
[
	"en-US",
	"ru-RU"
];


var msg = "Installing" + displayName + " " + version + "\n\nThis extension is distributed in the hope that it will be useful,\nbut WITHOUT ANY WARRANTY.\n\nIt only installs into the profile directory.\nClick (OK) to continue or (Cancel) to abort the installation.";

try {
	if(!confirm(msg))
		cancelInstall();
	else
	{
		// Init the installation
		err = initInstall(displayName + " " + version, "/" + author + "/" + displayName, version);
		if (err)
			throw('error initInstall: ' + err);

		// Configure the JAR file
		err = setPackageFolder(installDir);
		if (err)
			throw('error setPackageFolder: ' + err);
		err = Install.addDirectory("jar", jarDir, jarDestDir , null);
		if (err)
			throw('error jar addDirectory: ' + "jarDestDir" + err);

		// Register the chrome content and locale data
		err = Install.registerChrome(CONTENT | PROFILE_CHROME, jarFile, "content/" + packageName +"/");
		if (err)
			throw('error content register: ' + err);

	        for (var i in appLocales)
	        {
			err = Install.registerChrome(LOCALE | PROFILE_CHROME, jarFile, "locale/" + appLocales[i] + "/");
			if (err)
			{
				throw('error locale register: ' + err);
			}
		}

		err = Install.registerChrome(SKIN | PROFILE_CHROME, jarFile, "skin/classic/" + packageName +"/");
		if (err)
			throw('error skin register: ' + err);

		// Install the extension
		err = Install.performInstall();
		if (err)
			throw('error performInstall: ' + err);
		if (error==999)
			alert("Installation complete. Please restart SeaMonkey to update the changes.");
	}
	err = SUCCESS;
}
catch (message) {
	if (err != SUCCESS)	{
		logComment('catching something');
		logComment('err is ' + err);
		// we can't possibly be trying to catch no error
		if (SUCCESS == err)
			err = getLastError() || SCRIPT_ERROR;
		logComment(message);
		alert("Installation error:\n\nMessage: " + message);
		cancelInstall(err);
	} else
		logComment('Installation of ' + displayName + version + ' completed successfully !');
}